﻿
.clear{clear:both;}
@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@100;200;300;400;500;600;700;800&display=swap');
/***** Start of primary nav ******/
#menu-button{display: none;}
nav.mobile { display:none;}

.site-header {position: absolute;z-index: 5;width: 90%;margin: 0 auto;left: 0;right: 0;top: 40px;top: 25px;}

.mobile-menu .yellow-button {display:none;}
.mobile-menu {display: none;}

.header-top,.header-bottom {display:flex;justify-content: space-between;transition:.3s;}

.header-top {background:#2F7892;color:#fff;padding: 19px 3%;align-items:center;border-radius: 10px 10px 0 0;padding: 13px 3%;}
.header-top a {color:#fff;font-weight:500;transition:.3s;  font-family: "Sarala", sans-serif;}

.header-bottom {background:#fff;padding: 16px 3%;align-items: center;border-radius: 0 0 10px 10px;}


.social-media a {font-size: 30px;transition:.3s;}
.social-media a:hover,.header-top a:hover {color:#FFCC00;}

nav.primary {
	padding:0px;
	display:inline-block;
	margin: 0;
	float:right;
	position:relative;
	width:80%;
	
	}
	nav.primary ul {
		margin: 0;
		padding: 0;
		display: flex;
		float: right;
		align-items: center;
		}
		nav.primary ul li {
			display:inline-block;
			margin:0;
			list-style-type:none; 
			width:auto;
			}
		nav.primary ul li.list-button {
			
			padding-left: 10px;
			}
			
			li.list-button a {padding:unset !important;}
			
			nav.primary ul li a {
				color:#000;
				font-size:17px !important;
				letter-spacing: 1px;
				line-height:20px;
				text-decoration:none;
				position:relative;
				display:block;
				margin:0px 2px;
				text-align:center;
				-webkit-transition:.4s ease-in;  
				-moz-transition:.2s ease-in;  
				-o-transition:.2s ease-in;  
				transition:.2s ease-in;	
				font-weight:600;
				padding: 0 12px;
				font-family: "Sarala", sans-serif;
				}	
			nav.primary ul li a:hover {
				color:#2F7892;
				font-weight:800;
				}
			/* Appearance of the sub-level links */
			nav.primary ul li li a { 
				font-size:13px;
				letter-spacing: .2px;
				line-height:24px;
				padding:7px 10px;
				color:#fff;
				background-color: #494848;
				text-align:left;
				/*border-right:none;
				border-left:none;
				border-bottom: #303030 solid 1px;*/
			}
			/* Appearance of the sub-level links on hover */
			nav.primary ul li li a:hover { 
				color: #fff;
				background-color:#D36D08;
			}
/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
    display: none;
    position: absolute; 
}
nav.primary ul ul ul {
    position: absolute; 
    left: 100%;
    top:0; 
}
nav.primary ul li:hover > ul {  
    display: block;
    line-height:18px; 
    z-index: 1000;
}
nav.primary ul ul li {
    float: none; 
	width: 220px;
    position: relative;
    margin:0;
	display: block;
}


/** drop down btns**/
.drop-down a:hover{
	color:#fff!important;
	background-color:#D36D08!important;
}


/** header styles **/
.main-header{
	background-color:#fff;
	display:inline-block;
	width:100%;
}
.upper-text{
	display:inline-block;
	width:100%;
	background-color:#E46D05;
	text-align:right;
	max-width:100%;
}
.upper-text .fab{
	padding:15px 21px 21px 21px!important;
}
.upper-text .fab:hover{
	color:#F9A653;
}
.upper-text a{
	color:#fff;
	display:inline-block;
}


nav.primary i.fa-angle-down{color:#E76806;}

nav.primary ul li:hover i.fa-angle-down{color:#fff;}


.header-contact {
    display: flex;
    padding: unset;
    vertical-align: middle;
    color: #fff;
    font-weight: 600;
    transition: .3s ease;
    font-size: clamp(1rem, 0.9865rem + 0.0676vw, 1.0625rem);
    gap: 30px;
	font-family: "Sarala", sans-serif;
}

.lower-text{
	display:flex;
	flex-direction:row;
	width:90%;
	margin: 0 auto;
	
}
.logo img{max-width: 180px;}
/*
.logo{
	width:100%;
}
*/
@media screen and (max-width: 1730px)  {
	nav.primary ul li a{padding:0 7px;}	
}

@media screen and (max-width: 1575px)  {
	nav.primary ul li a{font-size:12px;}	
}


/******** End of primary Nav ***************/

@media screen and (max-width: 1240px)  {
	
	.mobile-menu {display: flex;gap: 10px;width: 100%;max-width: 300px;}
	
	.mobile-menu .yellow-button {display:flex;}
	
	.upper-text h4{
		font-size:14px;
	}
	.upper-text{
		width:60%;
	}
/*==============================
	Mobile Nav Styles			
================================*/	
nav.primary{display:none;}
#menu-button{ 
	display: inline-block;
	font-size: 34px;
	position: relative;
	line-height:60px; 
	z-index: 400; /* needs to be lower than nav.mobile, adjust as needed */
	text-align: right;
	margin-top:-5px;
	}
	#menu-button a{
		 color:#000;
		 text-decoration: none;
		 padding:0 0 0 .8em; 
		 font-weight:normal;
	  }
nav.mobile {
	display:block;
	position: fixed;
	top: 0;
	flex-direction: column-reverse;
	left: -300px;
	width: 300px;
	height: 100%;
	background: #2F7892;
	z-index: 500; /* needs to be higher than #menu-button, adjust as needed */
	overflow:auto;
}
/* MENU HEADER SOCIAL MEDIA */
	nav.mobile .social-media {
		position: relative;
		text-decoration: none;
		display: inline-block;
		font-size:16px;
		word-spacing:13px;
		padding:0 0 0 15px;
		color: #ccc !important;
	}
	
	nav.mobile .social-media a:link, nav.mobile .social-media a:visited {color:#ccc; text-decoration:none;}
	nav.mobile .social-media a:hover, nav.mobile .social-media a:active {color:#fff; text-decoration:underline;}

/* MENU HEADER STYLES */
nav.mobile .mobile_top {
	position: relative;
	display:block;
	padding: 0;
	margin:50px 0 10px 0;
	color: #999;
	font-size: 18px;
	font-weight: 400;
}

/* MENU CLOSE 'X' BUTTON */
nav.mobile .menu-toggle {
	position: absolute;
	padding: 3px 8px 3px;
	font-size:24px;
	font-weight: bold;
	line-height: 1;
	color: #fff;
	text-decoration: none;
	top: 12px;
	right:13px;
}
nav.mobile .menu-toggle:hover { /* Menu close button on hoveer */
	color: #fff;
}
	
	.menu-top {padding:30px 0;}

/* MENU LIST STYLE */
nav.mobile ul {
	list-style: none;
	font-weight: 300;
	margin:0;
	padding:0;
}
nav.mobile ul li {
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
	position:relative;
}

/* FIRST LEVEL */
nav.mobile ul li a {
	position: relative;
	display: block;
	font-size:15px;
	padding: 10px;
	color: #fff;
	text-decoration: none;
	text-align: left;
}
nav.mobile ul li a:hover {
	color: #2F7892; 
	background:#fff;
}

/* SECOND LEVEL */
nav.mobile ul li li:last-child {border:none;}
nav.mobile ul li li a {
	background: #444;
	position: relative;
	display: block;
	padding: 10px 10px 10px 15px;
	border-left:4px #444 solid;
	color: #ccc;
	text-decoration: none;
}
nav.mobile ul li li a:hover {background:rgba(65,65,65,0.5);}

/* THIRD LEVEL */
nav.mobile ul li li li:last-child {border:none;}
nav.mobile ul li li li a {
	background: #555;
	position: relative;
	display: block;
	padding: 10px 10px 10px 25px;
	color: #ccc;
	text-decoration: none;
	border-left:4px #555 solid;
}
nav.mobile ul li li li a:hover {background:rgba(85,85,85,0.5);}

nav.mobile ul li .click{/* dropdown menu idicator arrow be sure to include this image with your image files */ 
	position:absolute;
	display:block;
	cursor:pointer;
	z-index: 12399994;
	top:0;
	right:0;
	width:auto;
	height:auto;
	padding: 17px 20px;
	color:#fff;
	}
.nav-footer {color:#1B1B1B; position:relative; text-align:center; font-size:14px; line-height:16px; padding:15px 0;}

/* FONT AWESOME ICONS */
nav.mobile ul li a .fa{
	width:25px;
	font-weight:100;
	padding:8px 3px;
	margin:0 6px 0 0;
	text-align:center;
	background:#292929;
	-webkit-border-radius: 30px;
	-moz-border-radius: 30px;
	border-radius: 30px;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
}

	nav.mobile ul li .fa-chevron-down{color:#E76806!important;}
nav.mobile ul li .fa-chevron-down {color:#999;}
}

@media screen and (max-width: 900px)  {
	.site-header {top:0;width: 100%;border-radius:0;}
	.header-top,.header-bottom {border-radius:0;}
	.social-media a {font-size: clamp(1.5625rem, 1.4063rem + 0.8333vw, 1.875rem);}
	.site-header {position: relative;}
}

@media screen and (max-width: 700px)  {
	.header-top {flex-direction: column-reverse;gap:20px;}
	.header-contact {flex-wrap: wrap;justify-content: center;gap: 16px;}
}

@media screen and (max-width: 600px)  {
	#menu-button a {padding:0;}
	.mobile-menu {justify-content: end;}
	.logo img {max-width: 100%;}
}

@media screen and (max-width: 500px)  {
	#menu-button a {padding:0;}
	.mobile-menu {justify-content: end;}
	.logo img {max-width: 70%;margin: 0 auto;}
	.logo {text-align:center;}
	.header-bottom {flex-direction: column;align-items: center;gap: 4px;}
	.yellow-button {width:100%;}
	.floating-boxes .wrapper.flex {top: -40px;}
}